# -*- rpm-spec -*-

Summary: Library providing a simple API virtualization
Name: libvirt
Version: 0.3.3
Release: 14%{?dist}.1
License: LGPL
Group: Development/Libraries
Source: libvirt-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
URL: http://libvirt.org/
BuildRequires: python python-devel
Requires: libxml2
Requires: readline
Requires: ncurses
Requires: dnsmasq
Requires: bridge-utils
Requires: iptables
Requires: nc
BuildRequires: xen-devel
BuildRequires: libxml2-devel
BuildRequires: readline-devel
BuildRequires: ncurses-devel
BuildRequires: gettext
BuildRequires: gnutls-devel
BuildRequires: avahi-devel
BuildRequires: dnsmasq
BuildRequires: bridge-utils
Obsoletes: libvir
ExclusiveArch: i386 x86_64 ia64

Patch0:libvirt-0.2.2-pvfb-new-config.patch
Patch1:libvirt-0.3.3-id-po.patch
Patch2:libvirt-0.3.3-numa-1.patch
Patch3:libvirt-0.3.3-numa-2.patch
Patch4:libvirt-0.3.3-net-XML-leak.patch
Patch5:libvirt-0.3.3-vncdisplay-xm-config.patch
Patch6:libvirt-0.3.3-migration-source-reset.patch
Patch7:libvirt-0.3.3-conf-negative-values.patch
Patch8:libvirt-0.3.3-const-xml-params.patch
Patch9:libvirt-0.3.3-numa-3.patch
Patch10:libvirt-0.3.3-numa-4.patch
Patch11:libvirt-0.3.3-numa-5.patch
Patch12:libvirt-0.3.3-remote-recurse.patch
Patch13:libvirt-0.3.3-overflow-reindent.patch
Patch14:libvirt-0.3.3-numa-6.patch
Patch15:libvirt-0.3.3-hvm-cdrom.patch
Patch16:libvirt-0.3.3-numa-7.patch
Patch17:libvirt-0.3.3-add-disk-id.patch
Patch18:libvirt-0.3.3-schedinfo-params.patch
Patch19:libvirt-0.3.3-remove-unified-dump.patch
Patch20:libvirt-0.3.3-string-format.patch
Patch21:libvirt-0.3.3-integer-parse.patch
Patch22:libvirt-0.3.3-strtol.patch
Patch23:libvirt-0.3.3-virsh-warning.patch
Patch24:libvirt-0.3.3-URI-parsing.patch
Patch25:libvirt-0.3.3-stat-1.patch
Patch26:libvirt-0.3.3-error-report.patch
Patch27:libvirt-0.3.3-stat-2.patch
Patch28:libvirt-0.3.3-remote-null.patch
Patch29:libvirt-0.3.3-stat-3.patch
Patch30:libvirt-0.3.3-bridge-stp.patch
Patch31:libvirt-0.3.3-disk-shareable.patch
Patch32:libvirt-0.3.3-init-gnutls.patch
Patch33:libvirt-0.3.3-memory-leaks.patch
Patch34:libvirt-0.3.3-inactive-pinning.patch
Patch35:libvirt-0.3.3-numa-8.patch
Patch36:libvirt-0.3.3-virsh-connect.patch
Patch37:libvirt-0.3.3-virsh-prompt.patch
Patch38:libvirt-0.3.3-vnet-interfaces.patch
Patch39:libvirt-0.3.3-xen-gettype.patch
Patch40:libvirt-0.3.3-rhel-daemon.patch
Patch41:libvirt-0.3.3-escaping-lt.patch
Patch42:libvirt-0.3.3-numa-9.patch
Patch43:libvirt-0.3.3-add-disk-id-2.patch
Patch44:libvirt-0.3.3-numa-compat.patch
Patch45:libvirt-0.3.3-pvfb-config.patch
Patch46:libvirt-0.3.3-cpumap-allocate.patch
Patch47:libvirt-0.3.3-hvm-pvdrivers.patch
Patch48:libvirt-0.3.3-clarify-setmem-setvcpus.patch
Patch49:libvirt-0.3.3-ssh-argv-bounds.patch
Patch50:libvirt-0.3.3-usb-input.patch
# 5.3 additions
Patch51:libvirt-0.3.3-virsh-man.patch
Patch52:libvirt-0.3.3-change-resource.patch
Patch53:libvirt-0.3.3-hash-table.patch
Patch54:libvirt-0.3.3-string-escape.patch
Patch55:libvirt-0.3.3-net-dev-order.patch
Patch56:libvirt-0.3.3-expanded-stats.patch
Patch57:libvirt-0.3.3-vncunused.patch
# CVE-2009-0036
Patch58:libvirt-0.3.3-proxy-buf-check.patch
# CVE-2008-5086
Patch59:libvirt-0.3.3-readonly-checks.patch

%description
Libvirt is a C toolkit to interract with the virtualization capabilities
of recent versions of Linux (and other OSes).

%package devel
Summary: Libraries, includes, etc. to compile with the libvirt library
Group: Development/Libraries
Requires: libvirt = %{version}
Requires: pkgconfig
Requires: xen-devel
Obsoletes: libvir-devel

%description devel
Includes and documentations for the C library providing an API to use
the virtualization capabilities of recent versions of Linux (and other OSes).

%package python
Summary: Python bindings for the libvirt library
Group: Development/Libraries
Requires: libvirt = %{version}
Obsoletes: libvir-python

%description python
The libvirt-python package contains a module that permits applications
written in the Python programming language to use the interface
supplied by the libvirt library to use the the virtualization capabilities 
of recent versions of Linux (and other OSes).

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1
%patch20 -p1
%patch21 -p1
%patch22 -p1
%patch23 -p1
%patch24 -p1
%patch25 -p1
%patch26 -p1
%patch27 -p1
%patch28 -p1
%patch29 -p1
%patch30 -p1
%patch31 -p1
%patch32 -p1
%patch33 -p1
%patch34 -p1
%patch35 -p1
%patch36 -p1
%patch37 -p1
%patch38 -p1
%patch39 -p1
%patch40 -p0
%patch41 -p1
%patch42 -p1
%patch43 -p1
%patch44 -p1
%patch45 -p0
%patch46 -p0
%patch47 -p1
%patch48 -p0
%patch49 -p1
%patch50 -p1
# 5.3 additions
%patch51 -p0
%patch52 -p0
%patch53 -p0
%patch54 -p0
%patch55 -p1
%patch56 -p1
%patch57 -p1
# CVE-2009-0036
%patch58 -p1
# CVE-2008-5086
%patch59 -p1

%build
%configure --with-init-script=redhat --with-qemud-pid-file=%{_localstatedir}/run/libvirt_qemud.pid --with-remote-file=%{_localstatedir}/run/libvirtd.pid
make

%install
rm -fr %{buildroot}

%makeinstall
(cd docs/examples ; make clean ; rm -rf .deps Makefile Makefile.in)
(cd docs/examples/python ; rm -f Makefile Makefile.in)
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/python*/site-packages/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/python*/site-packages/*.a
install -d -m 0755 $RPM_BUILD_ROOT%{_localstatedir}/run/libvirt/

# We don't want to install /etc/libvirt/qemu/networks in the main %files list
# because if the admin wants to delete the default network completely, we don't
# want to end up re-incarnating it on every RPM upgrade.
install -d -m 0755 $RPM_BUILD_ROOT%{_datadir}/libvirt/networks/
cp $RPM_BUILD_ROOT%{_sysconfdir}/libvirt/qemu/networks/default.xml \
   $RPM_BUILD_ROOT%{_datadir}/libvirt/networks/default.xml
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/libvirt/qemu/networks/default.xml
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/libvirt/qemu/networks/autostart/default.xml
# Strip auto-generated UUID - we need it generated per-install
sed -i -e "/<uuid>/d" $RPM_BUILD_ROOT%{_datadir}/libvirt/networks/default.xml
%find_lang %{name}

%clean
rm -fr %{buildroot}

%post
/sbin/ldconfig

# We want to install the default network for initial RPM installs
# or on the first upgrade from a non-network aware libvirt only.
# We check this by looking to see if the daemon is already installed
/sbin/chkconfig --list libvirtd 1>/dev/null 2>&1
if [ $? != 0 ]
then
    UUID=`/usr/bin/uuidgen`
    sed -e "s,</name>,</name>\n  <uuid>$UUID</uuid>," \
         < %{_datadir}/libvirt/networks/default.xml \
         > %{_sysconfdir}/libvirt/qemu/networks/default.xml
    ln -s ../default.xml %{_sysconfdir}/libvirt/qemu/networks/autostart/default.xml
fi

/sbin/chkconfig --add libvirtd

%preun
if [ $1 = 0 ]; then
    /sbin/service libvirtd stop 1>/dev/null 2>&1
    /sbin/chkconfig --del libvirtd
fi

%postun
/sbin/ldconfig

%files -f %{name}.lang
%defattr(-, root, root)

%doc AUTHORS ChangeLog NEWS README COPYING.LIB TODO
%doc %{_mandir}/man1/virsh.1*
%{_bindir}/virsh
%{_libdir}/lib*.so.*
%dir %attr(0700, root, root) %{_sysconfdir}/libvirt/
%dir %attr(0700, root, root) %{_sysconfdir}/libvirt/qemu/
%dir %attr(0700, root, root) %{_sysconfdir}/libvirt/qemu/networks/
%dir %attr(0700, root, root) %{_sysconfdir}/libvirt/qemu/networks/autostart
%{_sysconfdir}/rc.d/init.d/libvirtd
%config(noreplace) %{_sysconfdir}/sysconfig/libvirtd
%dir %{_datadir}/libvirt/
%dir %{_datadir}/libvirt/networks/
%{_datadir}/libvirt/networks/default.xml
%dir %{_localstatedir}/run/libvirt/
%dir %{_localstatedir}/lib/libvirt/
%dir %attr(0700, root, root) %{_localstatedir}/log/libvirt/qemu/
%attr(4755, root, root) %{_libexecdir}/libvirt_proxy
%attr(0755, root, root) %{_sbindir}/libvirtd
%doc docs/*.rng
%doc docs/*.xml

%files devel
%defattr(-, root, root)

%{_libdir}/lib*.so
%dir %{_includedir}/libvirt
%{_includedir}/libvirt/*.h
%{_libdir}/pkgconfig/libvirt.pc
%doc %{_datadir}/gtk-doc/html/libvirt/*.devhelp
%doc %{_datadir}/gtk-doc/html/libvirt/*.html
%doc %{_datadir}/gtk-doc/html/libvirt/*.png
%doc %{_datadir}/gtk-doc/html/libvirt/*.css

%doc docs/*.html docs/html docs/*.gif
%doc docs/examples
%doc docs/libvirt-api.xml

%files python
%defattr(-, root, root)

%doc AUTHORS NEWS README COPYING.LIB
%{_libdir}/python*/site-packages/libvirt.py*
%{_libdir}/python*/site-packages/libvirtmod*
%doc python/tests/*.py
%doc python/TODO
%doc python/libvirtclass.txt
%doc docs/examples/python

%changelog
* Wed Feb 18 2009 Daniel P. Berrange <berrange@redhat.com> - 0.3.3-14.el5_3.1
- Add missing readonly checks for APIs (CVE-2008-5086)
- Add missing buf check in proxy daemon (CVE-2009-0036)

* Fri Sep 19 2008 Richard W.M. Jones <rjones@redhat.com> - 0.3.3-14.el5
- add patch to keep VNC port number same as defined at installation
- Resolves: rhbz#442140

* Tue Sep 16 2008 Chris Lalancette <clalance@redhat.com> - 0.3.3-13.el5
- add patch to allow block statistics to see expanded Xen PV devices
- Resolves: rhbz#458968

* Tue Aug 26 2008 Daniel Veillard <veillard@redhat.com> - 0.3.3-12.el5
- add requires to xen-devel for the -devel package
- Resolves: rhbz#460138

* Wed Jul  9 2008 Daniel Veillard <veillard@redhat.com> - 0.3.3-11.el5
- add a Requires to nc
- Resolves: rhbz#450556

* Fri Jul  4 2008 Daniel Veillard <veillard@redhat.com> - 0.3.3-10.el5
- order of interface bug fix
- Resolves: rhbz#442730

* Thu Jun 19 2008 Daniel Veillard <veillard@redhat.com> - 0.3.3-9.el5
- man page fix
- Resolves: rhbz#442429
- allow to change a Disk/Nic of inactive domain
- Resolves: rhbz#251640
- XML string escaping in xm driver
- Resolves: rhbz#428879

* Wed Jun 18 2008 Daniel Veillard <veillard@redhat.com> - 0.3.3-8.el5
- man page fix
- Resolves: rhbz#442429
- removal of extra_release macro
- Resolves: rhbz#436803
- allow to change a Disk/Nic of inactive domain
- Resolves: rhbz#251640
- fix a hash table bug
- Resolves: rhbz#448533

* Tue Apr  1 2008 Daniel P. Berrange <berrange@redhat.com> - 0.3.3-7.el5
- Fix USB input device XML handling (rhbz #225391)

* Wed Mar 19 2008 Daniel P. Berrange <berrange@redhat.com> - 0.3.3-6.el5
- Fix off-by-on in SSH tunnel args checking (rhbz #431723)

* Wed Jan 23 2008 Daniel Veillard <veillard@redhat.com> - 0.3.3-5.el5
- fix network Paravirt drivers on HVM
- clarify documentation for virsh setcpus and setmem commands
- Resolves: rhbz#429301
- Resolves: rhbz#429186

* Thu Jan 10 2008 Daniel Veillard <veillard@redhat.com> - 0.3.3-4.el5
- one more patch to fix VCPU pinning
- Resolves: rhbz#223833

* Wed Jan  9 2008 Daniel Veillard <veillard@redhat.com> - 0.3.3-3.el5
- add patch to fix NUMA compatibility problem with backport to xen-3.0.3
- re-add a RHEL specific patch for PVFB on 3.0.3
- renamed the second disk ID patch
- Resolves: rhbz#426324

* Tue Dec 18 2007 Daniel Veillard <veillard@redhat.com> - 0.3.3-2.el5
- add 3 patches fixing NUMA disk detach for tap devices, setting cpu
  parameter on inactive domains and an escaping bug
- Resolves: rhbz#251641
- Resolves: rhbz#346281

* Sun Sep 30 2007 Daniel Veillard <veillard@redhat.com> - 0.3.3-1.el5
- Update to 0.3.3
- Avahi support
- NUMA support
- APIs for collecting statistics on disks and interfaces
- API for domains migration
- localtime clock support
- PS/2 and USB input devices
- Secure remote access support
- unification of daemons
- lots of assorted improvements, bugfixes and cleanups
- documentation and localization improvements
- Resolves: rhbz#223833
- Resolves: rhbz#235851
- Resolves: rhbz#251641
- Resolves: rhbz#251706
- Resolves: rhbz#253494
- Resolves: rhbz#254051
- Resolves: rhbz#273421
- Resolves: rhbz#306931
- Resolves: rhbz#328841
- Resolves: rhbz#346281

* Tue Aug 28 2007 Daniel Veillard <veillard@redhat.com> - 0.2.3-9.el5
- patch to fix the pvfb vncdisplay port in XML dumps
- Resolves: rhbz #254188
- Related: rhbz #250789

* Fri Aug 17 2007 Hugh O. Brock <hbrock@redhat.com> - 0.2.3-8.el5
- Overhaul man page to accurately reflect the available commands
- Resolves: rhbz #253013

* Tue Aug 14 2007 Daniel Veillard <veillard@redhat.com> - 0.2.3-7.el5
- Fix UUID lookup though proxy (i.e. as user)
- Resolves: rhbg#224415

* Mon Aug 13 2007 Daniel Veillard <veillard@redhat.com> - 0.2.3-6.el5
- Fix handling of PVFB configurations
- Resolves: rhbg#250789
- Fix config file when using virtual network
- Resolves: rhbg#251594

* Tue Jul 31 2007 Daniel Veillard <veillard@redhat.com> - 0.2.3-5.el5
- Fix a leak when closing a connection
- Resolves: rhbg#250146

* Wed Jun 27 2007 Daniel Berrange <berrange@redhat.com> - 0.2.3-4.el5
- Re-add multilib fix from 0.1.8-14.el5 accidentally lost in 0.2.3-1.el5
- Related: rhbz#243463

* Tue Jun 19 2007 Daniel Veillard <veillard@redhat.com> 0.2.3-3.el5
- add new, more convenient commands for device attach and detach in virsh
- Resolves: rhbz#234840

* Tue Jun 19 2007 Daniel Veillard <veillard@redhat.com> 0.2.3-2.el5
- add Requires: dnsmasq
- Resolves: rhbz#244247

* Thu Jun 14 2007 Daniel Veillard <veillard@redhat.com> 0.2.3-1.el5
- Upgrade to version 0.2.3 for RHEL-5.1
- Resolves: rhbz#243463
- Resolves: rhbz#222704
- Resolves: rhbz#224415
- Resolves: rhbz#225566
- Resolves: rhbz#225567
- Resolves: rhbz#229176
- Note: 0.2.3 is really supposed to work with dnsmask which is not 
  available at the moment in RHEL-5

* Thu Jan 25 2007 Daniel Berrange <berrange@redhat.com> 0.1.8-15.el5
- re-do the localization patch, so that we don't have to run
  'make update-po', and thus avoid multilib conflicts
- Resolves: rhbz#224446

* Thu Jan 25 2007 Daniel Berrange <berrange@redhat.com> 0.1.8-14.el5
- further fix for parallel installation problem of -devel on i386 and x86_64
- Resolves: rhbz#222730

* Thu Jan 18 2007 Daniel Veillard <veillard@redhat.com> 0.1.8-13.el5
- last update of localization for RHEL languages
- Resolves: rhbz#203726 	

* Thu Dec 21 2006 Daniel Veillard <veillard@redhat.com> 0.1.8-12.el5
- fix a parallel installation problem of -devel on i386 and x86_64
- Resolves: rhbz#222730

* Thu Dec 21 2006 Daniel Veillard <veillard@redhat.com> 0.1.8-11.el5
- updates localization for RHEL languages
- Related: rhbz#203726 	

* Wed Dec 13 2006 Daniel Veillard <veillard@redhat.com> 0.1.8-10.el5
- fix the maxid array overflow when listing domains, rhbz#218789
- Resolves: rhbz#218789

* Wed Dec 13 2006 Daniel Veillard <veillard@redhat.com> 0.1.8-9.el5
- Add the two pvfb patches, rhbz#218486
- Resolves: rhbz#218486

* Thu Dec  7 2006 Daniel Veillard <veillard@redhat.com> 0.1.8-8.el5
- fix a structure error when asking the hypervisor for vcpu info, rhbz#217743
  and rhbz#217370
- Resolves: rhbz#217370 rhbz#217743

* Thu Dec  7 2006 Daniel Veillard <veillard@redhat.com> 0.1.8-7.el5
- release python global interpreter lock when calling libvirt, rhbz#210140
- return correct os type version for HVM guests when running as non-root, 
  rhbz#214264
- Resolves: rhbz#210140 rhbz#214264

* Thu Dec  7 2006 Daniel Veillard <veillard@redhat.com> 0.1.8-6.el5
- save the amount of current memory used when dumping XML if different from
  maximum amount, and use that when restarting the domain from the XML,
  rhbz#214354
- when using a pygrub bootloader, strip the os informations because xend
  assumes they take precedence over bootloader, rhbz#214741
- Resolves: rhbz#214354 rhbz#214741

* Thu Dec  7 2006 Daniel Veillard <veillard@redhat.com> 0.1.8-5.el5
- patch adding a domain core dump entry point to the library, it requires
  xen >= 3_0_3-13_el5 to get the xend server side support
- Resolves: rhbz#214913

* Mon Dec  4 2006 Daniel Veillard <veillard@redhat.com> 0.1.8-4.el5
- add localization updates for RHEL languages
- Resolves: rhbz#203726 	

* Mon Dec  4 2006 Daniel Veillard <veillard@redhat.com> 0.1.8-3.el5
- add support for shareable disks
- Resolves: rhbz#214908

* Tue Oct 31 2006 Daniel Veillard <veillard@redhat.com> 0.1.8-2.el5
- avoid Xend 404 GET error message when listing non-existent domain
- Resolves: rhbz#207166

* Mon Oct 16 2006 Daniel Veillard <veillard@redhat.com> 0.1.8-1.el5
- another ia64 page size fix
- vcpu number initialization
- don't label crashed domains as shut off
- fix virsh man page
- compile fix

* Sat Oct  7 2006 Daniel P. Berrange <berrange@redhat.com> 0.1.7-3.el5
- add new <driver> element to support blktap backed disks

* Mon Oct  2 2006 Daniel Veillard <veillard@redhat.com> 0.1.7-2
- fix missing page size detection code for ia64
- fix mlock size when getting domain info list from hypervisor

* Fri Sep 22 2006 Daniel Veillard <veillard@redhat.com> 0.1.7-1
- Fix bug when running against xen-3.0.3 hypercalls
- Fix memory bug when getting vcpus info from xend

* Fri Sep 22 2006 Daniel Veillard <veillard@redhat.com> 0.1.6-1
- Support for localization
- Support for new Xen-3.0.3 cdrom and disk configuration
- Support for setting VNC port
- Fix bug when running against xen-3.0.2 hypercalls
- Fix reconnection problem when talking directly to http xend

* Tue Sep  5 2006 Jeremy Katz <katzj@redhat.com> - 0.1.5-3
- patch from danpb to support new-format cd devices for HVM guests

* Tue Sep  5 2006 Daniel Veillard <veillard@redhat.com> 0.1.5-2
- reactivating ia64 support

* Tue Sep  5 2006 Daniel Veillard <veillard@redhat.com> 0.1.5-1
- new release
- bug fixes
- support for new hypervisor calls
- early code for config files and defined domains

* Mon Sep  4 2006 Daniel Berrange <berrange@redhat.com> - 0.1.4-5
- add patch to address dom0_ops API breakage in Xen 3.0.3 tree

* Mon Aug 28 2006 Jeremy Katz <katzj@redhat.com> - 0.1.4-4
- add patch to support paravirt framebuffer in Xen 

* Mon Aug 21 2006 Daniel Veillard <veillard@redhat.com> 0.1.4-3
- another patch to fix network handling in non-HVM guests

* Thu Aug 17 2006 Daniel Veillard <veillard@redhat.com> 0.1.4-2
- patch to fix virParseUUID()

* Wed Aug 16 2006 Daniel Veillard <veillard@redhat.com> 0.1.4-1
- vCPUs and affinity support
- more complete XML, console and boot options
- specific features support
- enforced read-only connections
- various improvements, bug fixes

* Wed Aug  2 2006 Jeremy Katz <katzj@redhat.com> - 0.1.3-6
- add patch from pvetere to allow getting uuid from libvirt

* Wed Aug  2 2006 Jeremy Katz <katzj@redhat.com> - 0.1.3-5
- build on ia64 now

* Thu Jul 27 2006 Jeremy Katz <katzj@redhat.com> - 0.1.3-4
- don't BR xen, we just need xen-devel

* Thu Jul 27 2006 Daniel Veillard <veillard@redhat.com> 0.1.3-3
- need rebuild since libxenstore is now versionned

* Mon Jul 24 2006 Mark McLoughlin <markmc@redhat.com> - 0.1.3-2
- Add BuildRequires: xen-devel

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 0.1.3-1.1
- rebuild

* Tue Jul 11 2006 Daniel Veillard <veillard@redhat.com> 0.1.3-1
- support for HVM Xen guests
- various bugfixes

* Mon Jul  3 2006 Daniel Veillard <veillard@redhat.com> 0.1.2-1
- added a proxy mechanism for read only access using httpu
- fixed header includes paths

* Wed Jun 21 2006 Daniel Veillard <veillard@redhat.com> 0.1.1-1
- extend and cleanup the driver infrastructure and code
- python examples
- extend uuid support
- bug fixes, buffer handling cleanups
- support for new Xen hypervisor API
- test driver for unit testing
- virsh --conect argument

* Mon Apr 10 2006 Daniel Veillard <veillard@redhat.com> 0.1.0-1
- various fixes
- new APIs: for Node information and Reboot
- virsh improvements and extensions
- documentation updates and man page
- enhancement and fixes of the XML description format

* Tue Feb 28 2006 Daniel Veillard <veillard@redhat.com> 0.0.6-1
- added error handling APIs
- small bug fixes
- improve python bindings
- augment documentation and regression tests

* Thu Feb 23 2006 Daniel Veillard <veillard@redhat.com> 0.0.5-1
- new domain creation API
- new UUID based APIs
- more tests, documentation, devhelp
- bug fixes

* Fri Feb 10 2006 Daniel Veillard <veillard@redhat.com> 0.0.4-1
- fixes some problems in 0.0.3 due to the change of names

* Wed Feb  8 2006 Daniel Veillard <veillard@redhat.com> 0.0.3-1
- changed library name to libvirt from libvir, complete and test the python 
  bindings

* Sun Jan 29 2006 Daniel Veillard <veillard@redhat.com> 0.0.2-1
- upstream release of 0.0.2, use xend, save and restore added, python bindings
  fixed

* Wed Nov  2 2005 Daniel Veillard <veillard@redhat.com> 0.0.1-1
- created
